function callActionAjax(actionRoute, jsonActionParameter, functionProcessor){
	
	 $.ajax({
	     url: contextPath + actionRoute,
	     type: 'POST',
	     data:  jsonActionParameter, 
		 dataType: "json",
	     success:function(response){ 
	    	 functionProcessor(response);    
	     },
	     error:function(jqXhr, textStatus, errorThrown){
	         console.error("Error: " + textStatus + " ::: " + errorThrown + " ::: " + jqXhr);
	     }
	 });
	
}

function procesaRespuesta(jsonData) {
	//console.info(JSON.stringify(jsonData));
	//alert(JSON.stringify(jsonData));
	var lapartados = jsonData.apartados;
	
	$('#apartado').find('option').remove();
	
	var idTipoOperacion = $("#tipoOperacion").val();
	
	var niteraciones = lapartados.length;
	
	if(idTipoOperacion > 1) {
		niteraciones = 1;
	}
	
	for(var i = 0; i < niteraciones; i++) {
		apartado = lapartados[i];
		
		//console.log('idApartado : ' + apartado.idApartado + ' : amortizable ' + apartado.amortizable + ' tipo operación : ' +$("#tipoContrato").val() );
		
		if($("#tipoContrato").val() == 1) {
			
			if(apartado.amortizable == "Amortizable") {
				$("#apartado").append('<option value="' + apartado.idApartado + '">' + apartado.descripcion + '</option>');
			}
			
		}else {
			
			if(apartado.amortizable == "No Amortizable") {
				$("#apartado").append('<option value="' + apartado.idApartado + '">' + apartado.descripcion + '</option>');
			}
			
		}
		
	}
	
}

function callExponerApartadosAction() {
	
	//var idEstudio = $("#campoEstudio").val();
	
	//alert(idEstudio);
	
	var jsonString = '{"idEstudio" : "' + $("#campoEstudio").val() + '", "idApartado":"'+ $("#idApartado").val() +'"}'; 
	var stringJson = JSON.parse(jsonString);
    callActionAjax( "/contrato/generales/exponerApartados", stringJson, procesaRespuesta);
}
